<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package R.A.W.
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>

	<style>
		@font-face {
			font-family: 'Feeling Passionate';
			src: url('<?= get_template_directory_uri(); ?>/fonts/FeelingPassionate-Regular.eot');
			src: url('<?= get_template_directory_uri(); ?>/fonts/FeelingPassionate-Regular.eot?#iefix') format('embedded-opentype'),
				url('<?= get_template_directory_uri(); ?>/fonts/FeelingPassionate-Regular.woff2') format('woff2'),
				url('<?= get_template_directory_uri(); ?>/fonts/FeelingPassionate-Regular.woff') format('woff'),
				url('<?= get_template_directory_uri(); ?>/fonts/FeelingPassionate-Regular.ttf') format('truetype');
			font-weight: normal;
			font-style: normal;
			font-display: swap;
		}
	</style>

	<!-- Bootstrap CSS min -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e( 'Skip to content', 'r-a-w' ); ?></a>

	<header id="masthead" class="site-header">
		<nav id="site-navigation" class="main-navigation d-flex justify-content-end align-items-center">
			<div class="d-flex me-4">
				<a href="#events" class="btns-primary light-blue-bg"><?= get_field( 'event_details_btn', 2)['title']; ?></a>
			</div>

			<div class="d-flex me-4">
				<a href="<?= get_field('save_a_seat_btn', 2)['url']; ?>" class="btns-primary marron-bg" target="_blank"><?= get_field( 'save_a_seat_btn', 2)['title']; ?></a>
			</div>

		</nav><!-- #site-navigation -->
		<img class="w-100" src="<?= get_field('header_bg', 2)['url']?>" alt="">
	</header><!-- #masthead -->
