<?php 
    /**
     * Template Name: Home Page
     */
    get_header();
?>
    <!-- Home banner -->
    <!-- <section class="home-banner" style="background: url(<?= get_field('home_banner_image')['url']; ?>) no-repeat"></section> -->
    <section class="home-banner">
        <img class="w-100" src="<?= get_field('home_banner_image')['url']; ?>" alt="">
    </section>

    <!-- Get Real  -->
    <section class="get-real mx-auto px-20">
        <h1><?= get_field('get_real_title'); ?></h1>
        <p><?= get_field('about_get_real');?></p>
    </section>

    <!-- Meet Sabina -->
    <section class="meet-sabina mx-auto px-20">
        <div class="sabina-info">
            <h2 class="z-index-99"><?= get_field('meet_title'); ?></h2>
            <p class="z-index-99"><?= get_field('about_sabina'); ?></p>
        </div>
        <div class="speaker-image">
            <img class="img-fluid" src="<?= get_field('sabina_bg_image')['url']; ?>" alt="">
        </div>
    </section>

    <!-- Live Hosted Section -->
    <section class="live-hosted mx-auto px-20" id="events">
        <h2><?= get_field('title'); ?></h2>
        <h3><?= get_field('date_and_location'); ?></h3>
        <p><?= get_field('about_show'); ?></p>
    </section>

    <!-- Featuring Guests -->
    <section class="featuring-section px-20 mx-auto">
        <h2 class="text-center">Featuring</h2>
        <div class="row feature-container">
            <?php if(have_rows('featuring_hosts')):
                    while(have_rows('featuring_hosts')): the_row();
            ?>
                    <div class="col-sm-6 col-md-4 host-container d-flex flex-column align-items-center">
                        <div class="host-image">
                            <img src="<?= get_sub_field('host_image')['url']; ?>" alt="<?= get_sub_field('host_image')['alt']; ?>">
                        </div>
                        <p class="host-name mb-0 text-center"><?= get_sub_field('host_name'); ?></p>
                        <p class="host-occupation mb-3"><?= get_sub_field('host_occupation'); ?></p>
                        <!-- POP UP -->
                        <?php if(get_sub_field('about_host')): ?>
                        <a href="javascript:void();" class="text-uppercase read-bio">read bio</a>
                        <div class="pop-up" id="pop-up">
                            <div class="close-btn d-flex justify-content-end">&#x2715;</div>
                            <div class="row host-about px-20">
                                <div class="col-md-4">
                                    <div class="d-flex justify-content-center">
                                        <img src="<?= get_sub_field('host_image')['url']; ?>" alt="<?= get_sub_field('host_image')['alt']; ?>">
                                    </div>
                                </div>
                                <div class="col-md-8">
                                    <p class="host-name mb-5 text-center text-md-start"><?= get_sub_field('host_name'); ?></p>
                                    <div class="about-para me-md-5">
                                        <p><?= get_sub_field('about_host'); ?></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>
                    </div>
            <?php 
                    endwhile;
                endif;
            ?>
        </div>
    </section>

    <!-- Professor Maja -->
    <section class="tedx-speaker mx-auto">
        <div class="tedx-info d-flex flex-column align-items-lg-end px-20 ms-auto">
            <p class="about-speaker text-lg-end z-index-99"><?= get_field('about_speaker');?></p>
            <p class="speaker-name mb-0 mt-4 z-index-99"><?= get_field('speaker_name'); ?></p>
            <p class="speaker-occu z-index-99"><?= get_field('speaker_occupation'); ?></p>
        </div>
        <div class="speaker-image">
            <img class="img-fluid" src="<?= get_field('speaker_image')['url']; ?>" alt="">
        </div>
    </section>

    <!-- Why You Should Attend -->
    <?php if(have_rows('why_should_attend')): ?>
    <section class="attend-section mx-auto px-20 d-flex flex-column align-items-center">
        <h2><?= get_field('attend_title'); ?></h2>
        <div class="row">
            <?php while(have_rows('why_should_attend')): the_row(); ?>
                <div class="col-md-6" id="list-<?= get_row_index(); ?>">
                    <p class="py-3 mb-0 text-center text-md-start"><?= get_sub_field('list'); ?></p>
                </div>  
            <?php endwhile; ?>
        </div>

        <!-- <ul class="row mb-0">
            <?php while(have_rows('why_should_attend')): the_row(); ?>
                <li class="col-md-6 py-3" id="list-<?= get_row_index(); ?>">
                    <?= get_sub_field('list'); ?>
                </li>  
            <?php endwhile; ?>
        </ul> -->
    </section>
    <?php endif; ?>

    <!-- Social Media Icon -->
    <?php if(have_rows('social_icons')): ?>
    <section class="social-media mx-auto py-5">
        <div class="row align-items-center">
            <div class="col-md-6 d-flex justify-content-center align-items-center">
                <p class="mb-md-0"><?= get_field('social_title'); ?></p>
            </div>
            <div class="col-md-6">
                <ul class="d-flex mb-0 ps-0 justify-content-center ">
                    <?php while(have_rows('social_icons')): the_row(); ?>
                        <li class="mx-3">
                        <!-- get_sub_field('icon_link')['url'];  -->
                            <a href="<?= get_sub_field('icon_link')['url']; ?>" target="_blank">
                                <img class="img-fluid" src="<?= get_sub_field('icon')['url'];?>" alt="<?= get_sub_field('icon')['alt'];?>">
                            </a>
                        </li>
                    <?php endwhile; ?>
                </ul>
            </div>
        </div>
    </section>
    <?php endif; ?>

    <section class="sponsor-section px-20">
        <div class="present-spo d-flex flex-column align-items-center">
            <h2 class="mb-5"><?= get_field('presentin_sponsor_title'); ?></h2>
            <img src="<?= get_field('presenting_sponsor_image')['url']; ?>" alt="<?= get_field('presenting_sponsor_image')['alt']; ?>" class="img-fluid">
        </div>
        <?php if(have_rows('sponsors')): ?>
            <div class="row justify-content-center align-items-center">
                <h2 class="mb-5 text-center"><?= get_field('sponsor_title'); ?></h2>
                <?php while(have_rows('sponsors')): the_row(); ?>
                    <div class="col-md-6 col-lg-4 d-flex justify-content-center">
                        <img class="mb-5 img-fluid" src="<?= get_sub_field('sponsor')['url']; ?>" alt="<?= get_sub_field('sponsor')['alt']; ?>">
                    </div>
                <?php endwhile; ?>
            </div>
        <?php endif; ?>

        <?php if(have_rows('supporting_spo_repeater')): ?>
            <div class="row justify-content-center align-items-center mt-5">
                <h2 class="mb-5 text-center"><?= get_field('supporting_sponsor'); ?></h2>
                <?php while(have_rows('supporting_spo_repeater')): the_row(); ?>
                    <div class="col-md-6 col-lg-4 d-flex justify-content-center">
                        <img class="mb-5 img-fluid" src="<?= get_sub_field('support_sponsor')['url']; ?>" alt="<?= get_sub_field('support_sponsor')['alt']; ?>">
                    </div>
                <?php endwhile; ?>
            </div>
        <?php endif; ?>
    </section>
<?php 
    get_footer();
?>